aboutsummaryrefslogtreecommitdiffstats
path: root/main
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2013-09-10 09:04:16 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2013-09-10 09:04:16 +0000
commit6a32c55e54342aadd5b4d4319ab084d34913e16b (patch)
tree00fee5cbb46e2bbf938c3993abb6458bcb26f60e /main
parent9feea1bff91b46702b96d72242a452c5772fc1c1 (diff)
downloadaports-6a32c55e54342aadd5b4d4319ab084d34913e16b.tar.gz
aports-6a32c55e54342aadd5b4d4319ab084d34913e16b.tar.bz2
aports-6a32c55e54342aadd5b4d4319ab084d34913e16b.tar.xz
main/binutils: split out -libs
Diffstat (limited to 'main')
-rw-r--r--main/binutils/APKBUILD11
1 files changed, 9 insertions, 2 deletions
diff --git a/main/binutils/APKBUILD b/main/binutils/APKBUILD
index c85a3a4570..5666259c15 100644
--- a/main/binutils/APKBUILD
+++ b/main/binutils/APKBUILD
@@ -1,7 +1,7 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=binutils
pkgver=2.23.2
-pkgrel=1
+pkgrel=2
pkgdesc="Tools necessary to build programs"
url="http://www.gnu.org/software/binutils/"
depends=
@@ -15,7 +15,7 @@ if [ "$CHOST" != "$CTARGET" ] && [ -n "$CHOST" -a -n "$CTARGET" ]; then
somask="libbfd-$pkgver.so libopcodes-$pkgver.so"
fi
-subpackages="$pkgname-doc"
+subpackages="$pkgname-doc $pkgname-libs"
source="http://ftp.gnu.org/gnu/binutils/binutils-$pkgver.tar.bz2
binutils-ld-fix-static-linking.patch"
@@ -70,6 +70,13 @@ package() {
rm "$pkgdir"/usr/lib/libiberty.a
find "$pkgdir" -name "*.la" -delete
}
+
+libs() {
+ pkgdesc="Runtime libraries from binutils - libbfd and libopcodes"
+ mkdir -p "$subpkgdir"/usr/lib
+ mv "$pkgdir"/usr/lib/lib*.so "$subpkgdir"/usr/lib/ || return 1
+}
+
md5sums="4f8fa651e35ef262edc01d60fb45702e binutils-2.23.2.tar.bz2
6b744d0574338cc69d3096a890a7b609 binutils-ld-fix-static-linking.patch"
sha256sums="fe914e56fed7a9ec2eb45274b1f2e14b0d8b4f41906a5194eac6883cfe5c1097 binutils-2.23.2.tar.bz2